Skip to main content
GET
/
chat
/
sessions
/
{session_id}
Get a chat session
curl --request GET \
  --url https://api.open.cx/chat/sessions/{session_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "open",
  "ai_closure_type": "assumed_resolved",
  "sentiment": "angry",
  "channel": {
    "type": "web"
  },
  "ticket_number": 123,
  "assist_mode": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "contact": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "phone_number": "<string>",
    "name": "<string>",
    "custom_data": {}
  },
  "language": "<string>",
  "assignee_id": "<string>",
  "custom_data": {},
  "team": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>"
  },
  "handoff": {
    "summary": "<string>",
    "sentiment": "angry"
  },
  "ticketing_system": {
    "name": "dynamics365",
    "external_id": "<string>",
    "id_type": "conversation_id"
  }
}

Path Parameters

session_id
string
required

The unique identifier of the chat session

Response

Default Response

id
string<uuid>
required
status
enum<string>
required
Available options:
open,
closed_resolved,
closed_unresolved
ai_closure_type
enum<string> | null
required
Available options:
assumed_resolved,
handed_off,
resolved
sentiment
enum<string> | null
required
Available options:
angry,
happy,
neutral
channel
object
required
ticket_number
number
required
assist_mode
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
contact
object
language
string
assignee_id
string
custom_data
object
team
object
handoff
object
ticketing_system
object